<?php
//https://github.com/bramus/router
require_once "Router.php";
require_once "Retangulo.php";

//Cria uma instância da classe Router
$router  = new Router();    

//define a rota: GET /retangulo/{int}/{int}/area
$router->get('/retangulo/(\d+)/(\d+)/area', function($v1,$v2) {
   $r1 = new Retangulo();
   $r1->setBase($v1);
   $r1->setAltura($v2);
   $area= $r1->calcularArea();
   $resposta['area']= $area;
   echo json_encode($resposta);
 });
 //define a rota: GET /retangulo/{int}/{int}/perimetro
 $router->get('/retangulo/(\d+)/(\d+)/perimetro', function($v1,$v2) {
    $r1 = new Retangulo();
    $r1->setBase($v1);
    $r1->setAltura($v2);
    $perimetro= $r1->calcularPerimetro();
    $resposta['perimetro']= $perimetro;
    echo json_encode($resposta);
  });
  //define a rota: GET /retangulo/{int}/{int}/diagonal
  $router->get('/retangulo/(\d+)/(\d+)/diagonal', function($v1,$v2) {
    $r1 = new Retangulo();
    $r1->setBase($v1);
    $r1->setAltura($v2);
    $diagonal= $r1->calcularDiagonal();
    $resposta['diagonal']= $diagonal;
    echo json_encode($resposta);
  });
 
$router->run();
?>
