<?php
class Retangulo
{
    private $base;
    private $altura;
    public function calcularArea()
    {
        return ($this->altura * $this->base);
    }
    public function calcularDiagonal()
    {
        return sqrt(pow($this->altura, 2) + pow($this->base, 2));
    }
    public function calcularPerimetro()
    {
        return ($this->altura * 2 + $this->base * 2);
    }

    /**
     * Get the value of base
     */ 
    public function getBase()
    {
        return $this->base;
    }

    /**
     * Set the value of base
     *
     * @return  self
     */ 
    public function setBase($base)
    {
        $this->base = $base;

        return $this;
    }

    /**
     * Get the value of altura
     */ 
    public function getAltura()
    {
        return $this->altura;
    }

    /**
     * Set the value of altura
     *
     * @return  self
     */ 
    public function setAltura($altura)
    {
        $this->altura = $altura;

        return $this;
    }
}
